# SummedVariableUpdater class

(Shortest import: `from brian2.synapses.synapses import SummedVariableUpdater)`

class brian2.synapses.synapses.SummedVariableUpdater(*args, **kw)

  Bases: `CodeRunner`

  The `CodeRunner` that updates a value in the target group with the sum over values in the `Synapses` object.

  Methods

  `before_run`(run_namespace) | Optional method to prepare the object before a run.

  Details

  before_run(run_namespace)

    Optional method to prepare the object before a run.

    Called by `Network.after_run` before the main simulation loop starts.